export class MissingParameterError extends Error {
    constructor(param_name, msg) {
        super('Missing parameter ' + param_name + '.' + msg || '');

        Error.captureStackTrace(this, MissingParameterError);
    }
};

export class UnavailableError extends Error {
    constructor(name, msg) {
        super(param_name + ' not available.' + msg || '');

        Error.captureStackTrace(this, MissingParameterError);
    }
};
